<template>
  <div class="w-50 m-auto">
    <div class="card card-body">
      <form action="">
        <div class="form-group">
          <label for="email">Email</label>
          <input
            type="email"
            name="email"
            placeholder="Enter your email"
            class="form-control"
            v-model="email"
            :class="[{ 'is-invalid': errorFor('email') }]"
          />
          <v-errors :errors="errorFor('email')"></v-errors>
        </div>
        <div class="form-group">
          <label for="password">Password</label>
          <input
            type="password"
            name="password"
            placeholder="Enter your password"
            class="form-control"
            v-model="password"
            :class="[{ 'is-invalid': errorFor('password') }]"
          />
          <v-errors :errors="errorFor('password')"></v-errors>
        </div>
        <button
          type="submit"
          class="btn btn-primary btn-lg btn-block"
          @click.prevent="login"
          :disabled="loading"
        >
          Login
        </button>
        <hr />

        <div class="text-wrap">
          No account yes?
          <router-link :to="{ name: 'home' }" class="font-weight-bolder"
            >Register</router-link
          >
        </div>

        <div class="text-wrap">
          Forgot password?
          <router-link :to="{ name: 'home' }" class="font-weight-bolder"
            >Reset password</router-link
          >
        </div>
      </form>
    </div>
  </div>
</template>

<script>
import validationErrors from './../shared/mixins/validationErrors';
import {logIn} from "./../shared/utils/auth";

export default {
  mixins: [validationErrors],
  data() {
    return {
      email: null,
      password: null,
      loading: false,
    };
  },
  methods: {
      async login() {
        console.log('-->', this.errors);
        this.loading = true;
        this.errors = null;

        try {
            await axios.get('/sanctum/csrf-cookie');

            await axios.post('/login', {
                email: this.email,
                password: this.password 
            });

            logIn();
            this.$store.dispatch("loadUser");
            this.$router.push({name: "home"});
        } catch (error) {
            this.errors = error.response && error.response.data.errors;
        }

        console.log(this.errors);

        this.loading = false;
      }
  },
};
</script>